Loading...
Searching...
No Matches
ext2_fs Struct Reference

`#include <ext2.h>`

## Data Fields

blk_t | adminblocks
struct ext2_buffer_cache * | bc
int | blocksize
struct ext2_dev_handle * | devhandle
int | dynamic_version
struct ext2_group_desc * | gd
blk_t | gdblocks
int | has_internal_journal
int | has_journal
blk_t | inodeblocks
blk_t | itoffset
void * | journal
int | logsize
int | metadirty
int | numgroups
int | opt_debug
int | opt_safe
int | opt_verbose
int | r_frac
unsigned char * | relocator_pool
unsigned char * | relocator_pool_end
struct ext2_super_block | sb
int | sparse

## Field Documentation

## adminblocks

blk_t ext2_fs::adminblocks

## bc

struct ext2_buffer_cache* ext2_fs::bc

## blocksize

int ext2_fs::blocksize

## devhandle

struct ext2_dev_handle* ext2_fs::devhandle

## dynamic_version

int ext2_fs::dynamic_version

## gd

struct ext2_group_desc* ext2_fs::gd

## gdblocks

blk_t ext2_fs::gdblocks

## has_internal_journal

int ext2_fs::has_internal_journal

## has_journal

int ext2_fs::has_journal

## inodeblocks

blk_t ext2_fs::inodeblocks

## itoffset

blk_t ext2_fs::itoffset

## journal

void* ext2_fs::journal

## logsize

int ext2_fs::logsize

## metadirty

int ext2_fs::metadirty

## numgroups

int ext2_fs::numgroups

## opt_debug

int ext2_fs::opt_debug

## opt_safe

int ext2_fs::opt_safe

## opt_verbose

int ext2_fs::opt_verbose

## r_frac

int ext2_fs::r_frac

## relocator_pool

unsigned char* ext2_fs::relocator_pool

## relocator_pool_end

unsigned char* ext2_fs::relocator_pool_end

## sb

struct ext2_super_block ext2_fs::sb

## sparse

int ext2_fs::sparse

The documentation for this struct was generated from the following file:

- libparted/fs/ext2/ext2.h